Bug 804837 - typo in rsyslog.conf in syslog forwarding sample
typo in rsyslog.conf in syslog forwarding sample
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.2
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 17:55 EDT by Tuomo Soini
Modified: 2016-09-20 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 13:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2012-03-19 17:55:53 EDT
Description of problem:

There is a typo in rsyslog.conf

--- a/rsyslog.conf
+++ b/rsyslog.conf
@@ -67,7 +67,7 @@ local7.*                                                /var/l
 #
 # An on-disk queue is created for this action. If the remote host is
 # down, messages are spooled to disk and sent when it is up again.
-#$WorkDirectory /var/spppl/rsyslog # where to place spool files
+#$WorkDirectory /var/spool/rsyslog # where to place spool files
 #$ActionQueueFileName fwdRule1 # unique name prefix for spool files
 #$ActionQueueMaxDiskSpace 1g   # 1gb space limit (use as much as possible)
 #$ActionQueueSaveOnShutdown on # save messages to disk on shutdown

And rsyslog package is not including /var/spool/rsyslog dir.

--- a/rsyslog.spec
+++ b/rsyslog.spec
@@ -150,6 +150,7 @@ install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
 install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
 install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
 install -d -m 700 $RPM_BUILD_ROOT%{rsyslog_pkidir}
+install -d -m 700 $RPM_BUILD_ROOT%{_var}/spool/rsyslog
 
 install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/rsyslog
 install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rsyslog.conf
@@ -214,6 +215,7 @@ mv /var/lock/subsys/rsyslogd /var/lock/subsys/rsyslog
 %dir %{rsyslog_pkidir}
 %{_initrddir}/rsyslog
 %{_sbindir}/rsyslogd
+%{_var}/spool/rsyslog
 %{_mandir}/*/*
 
 %files mysql
Comment 2 Tomas Heinrich 2012-03-20 13:42:59 EDT
Thanks for the report.
The actual directory that's going to be added is '/var/lib/rsyslog'.
Comment 3 Tuomo Soini 2012-03-20 14:14:51 EDT
Note: /var/spool/rsyslog is known by selinux policy. /var/lib/rsyslog is not!

Note You need to log in before you can comment on or make changes to this bug.